unit Unit1;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, Vcl.Controls, Vcl.StdCtrls, WEBLib.StdCtrls,
  WEBLib.ExtCtrls, Vcl.Imaging.pngimage;

type
  TForm1 = class(TWebForm)
    Img_Base64Pict1: TWebImageControl;
    Img_Base64Pict2: TWebImageControl;
    Btn_LoadBase64Pict1: TWebButton;
    Btn_LoadBase64Pict2: TWebButton;
    Img_Loaded: TWebImageControl;
    Btn_LoadBase64: TWebButton;
    Btn_LoadGraphics1: TWebButton;
    Btn_LoadGraphics2: TWebButton;
    Lbl_Crash: TWebLabel;
    procedure Btn_LoadBase64Pict1Click(Sender: TObject);
    procedure Btn_LoadBase64Pict2Click(Sender: TObject);
    procedure Btn_LoadBase64Click(Sender: TObject);
    procedure Btn_LoadGraphics1Click(Sender: TObject);
    procedure Btn_LoadGraphics2Click(Sender: TObject);
  private
    { Private declarations }
    v_Base64Pict1: UnicodeString;
    v_Base64Pict2: UnicodeString;
    v_Graphic1: TGraphic;
    v_Graphic2: TGraphic;
  public                 
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Btn_LoadBase64Pict1Click(Sender: TObject);
begin
  Img_Base64Pict1.LoadFromURL('data:image/png;base64,' + v_Base64Pict1);
end;

procedure TForm1.Btn_LoadBase64Pict2Click(Sender: TObject);
begin
  Img_Base64Pict2.LoadFromURL('data:image/png;base64,' + v_Base64Pict2);
end;

procedure TForm1.Btn_LoadBase64Click(Sender: TObject);
var
                  i: Integer;
                Pos: Integer;
begin
  v_Base64Pict1 := Img_Loaded.Base64Image;
  Pos := 76;
  v_Base64Pict2 := '';
  for i := 1 to Length(v_Base64Pict1) do
    begin
      v_Base64Pict2 := v_Base64Pict2 + v_Base64Pict1 [i];
      if i = Pos
      then
        begin
          v_Base64Pict2 := v_Base64Pict2 + Chr(13) + Chr(10);
          Pos := Pos + 76
        end
    end
end;

procedure TForm1.Btn_LoadGraphics1Click(Sender: TObject);
begin
  v_Graphic1 := TGraphic.CreateFromURL('data:image/png;base64,' + v_Base64Pict1);
end;

procedure TForm1.Btn_LoadGraphics2Click(Sender: TObject);
begin
  v_Graphic2 := TGraphic.CreateFromURL('data:image/png;base64,' + v_Base64Pict2);
end;

end.